Qt 5.13 | Qt Virtual Keyboard | QML Types | ModeKey QML Type

Qt Virtual Keyboard | Commercial or GPLv3

# ModeKey QML Type

Generic mode key for keyboard layouts. More...

Import Statement: | import QtQuick.VirtualKeyboard 2.13
Since: | QtQuick.VirtualKeyboard 2.0
Inherits: | Key

- List of all members, including inherited members

## Properties

- mode : bool

## Detailed Description

This key provides generic mode button functionality.

A key press toggles the current mode without emitting key event for input method processing.

ModeKey can be used in situations where a particular mode is switched "ON / OFF", and where the mode change does not require changing the keyboard layout. When this component is used, the displayText should remain the same regardless of the mode, because the keyboard style visualizes the status.

## Property Documentation

mode : bool

This property provides the current mode.

The default is false.